Status: Closed Start date: 2009-04-04

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: 0.9.3   

Resolution: Fixed   

Description

Spent an endless amount of time on configuring email in redmine.

After digging through ths issues it turns out that there was plenty of people that had this issue.

Can I suggest that the config/email.yml file gets updated with some details on the various common configs.

Try to find the config to use if you happen to be on the same subdomain as the mail server and you can send email with out

authentication. Is authentication false, plain, none or is the usernames just blank or what exactly is the issue.

My contribution to this is that neither plain, none nor false worked for a non-authenticated version. This might be a bug or a lack of

docs.

Further I do not feel comfortable having passwords in plaintext in config files. So falling back to authenticated mode was a hard one.

Too much time down the drain on just getting email up and running.

Associated revisions

Revision 3448 - 2010-02-18 06:20 - Eric Davis

Added some common example email configs to email.yml.example (#3120)

History

#1 - 2009-04-09 03:28 - Eric Davis

- Category set to Email notifications

- Status changed from New to 7

- Assignee set to Eric Davis

Good idea, I'll update the example configuration file to show some working examples.

#2 - 2009-05-07 16:04 - Cyber Sprocket

Is there a wiki page on configuring email?  Something that explains the valid settings for each key in the configuration file? Maybe some examples?

The only way I knew that I could set authentication to "none" (without getting into source) was by stumbling across this post.

#3 - 2009-05-07 16:39 - Zarooba Rozruba

Something to add to the upcoming documentation ::

My email server does not have authentication required, yet with host+port information alone Redmine could not send email out.

Once I enabled the domain part, then emails started going through.

Could this be related to smtp running on ms exchange?  It is open relay for internal users, no authentication required, but does require HELO/EHLO,

hence I needed the domain variable enabled and set.

#4 - 2009-05-07 21:30 - Mischa The Evil

Maybe the following article can be of any help (if you haven't seen it before): http://redmineblog.com/articles/setup-redmine-to-send-email-using-gmail

#5 - 2010-02-18 06:23 - Eric Davis

- Status changed from 7 to Resolved
- Target version set to 0.9.3

- % Done changed from 0 to 100

- Resolution set to Fixed

I've documented some common email server examples that I've used in the email.yml.example file.  (r3448)

#6 - 2010-02-20 11:18 - Jean-Philippe Lang

- Category changed from Email notifications to Documentation

- Status changed from Resolved to Closed

Merged in 0.9-stable r3460.
